2018-10-17 08:40 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000527FSSCP---------public2012-11-27 23:33
ReporterKazan 
Assigned Totaylor 
PriorityhighSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformWinTelOSWindowsOS VersionXP
Product Version3.6.5 
Target VersionFixed in Version 
Summary0000527: Objects Wiggle [significantly] on their position.
Description(This is a mantisification of a bug we discussed in the forum)

Objects positions wiggle when rendered. Especially happens in Wing Commander Saga missions which seems to indicate is a floating-point accuracy issue. Possibly it's a Z-axis issue from the gluPerspective call, possibly it's a global position issue.

Proposed Solutions:
make sure the min/max clip planes in gluPerspective are not causing problems [extremely low (less than 1) near clips are known to cause serious problems]
All object positions in the mission should be stored in doubles and glTranslated(double, double, double) should be used for positioning the object initialy before going into rendering it's mesh [which can remain as floats]
TagsNo tags attached.
Attached Files

-Relationships
related to 0002325resolvedValathil View shakes in 'show ship' flag when far from the mission origin 
+Relationships

-Notes

~0006332

Kazan (developer)

status?

~0006333

taylor (administrator)

I changed from gluPerspective to using glFrustum directly to try and get rid of some of the precision error (among other reasons), didn't help.

Tried changing clip planes, helps with some things, but didn't do much for the wiggle.

Converted everything to doubles. Besides being an excessive amount of work, it crashes a lot (a LOT), and didn't appear to help the problem much (the little that I could get the game to run that is).


If you've got anything else I'm open to it. I've pretty much exhausted all options that I can think of though.

~0006335

Kazan (developer)

doubles were unstable? WTF?

this bug is a hug problem in missions that use way-points because the large size of the field of engagement makes the bug obvious

~0006341

taylor (administrator)

I've actually seen it in retail missions as well, though it's a lot more subtle, so it's an issue either way.

~0006342

Kazan (developer)

Last edited: 2006-07-25 16:45

it's as subtle as a mac truck in autopilot missions - we could try to zap the coordinate system's zero-point to be relative to the nearest waypoint

IE as you approach a waypoint the entire world gets translated to be zero'ed at the waypoints position

edited on: 07-25-06 16:45

~0006358

taylor (administrator)

Should be fixered now. Reopen if you still see it.

~0014200

Goober5000 (administrator)

Just a note to add that this was fixed in revision 3376.
+Notes

-Issue History
Date Modified Username Field Change
2005-08-30 11:17 Kazan New Issue
2006-07-25 12:56 Kazan Note Added: 0006332
2006-07-25 13:20 taylor Note Added: 0006333
2006-07-25 13:36 Kazan Note Added: 0006335
2006-07-25 16:42 taylor Note Added: 0006341
2006-07-25 16:44 Kazan Note Added: 0006342
2006-07-25 16:45 Kazan Note Edited: 0006342
2006-07-27 22:16 taylor Status assigned => resolved
2006-07-27 22:16 taylor Resolution open => fixed
2006-07-27 22:16 taylor Note Added: 0006358
2012-11-27 23:32 Goober5000 Note Added: 0014200
2012-11-27 23:33 Goober5000 Relationship added related to 0002325
+Issue History